fife_utils - Feature #22410

Allow the user to define the location of the temporary storage used for fake jobsub.

04/18/2019 02:34 PM - Jason Stock

Status: Closed Start date: 04/18/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

When trying to debug a setup issue with fake jobsub, | ran into a problem because fife_launch --fake uses /tmp. Since my job is
installing a release from a tarball, | immediately fill /tmp (gpvms have only 2 G available) when doing so. Allowing the user to define
the location of the TMPDIR for fake_jobsub in the fifelaunch command would remedy this issue.

History

#1 - 04/18/2019 03:57 PM - Marc Mengel

fake_jobsub should respect TMPDIR set in the environment.
export workdir=${TMPDIR:-/tmp}/fake_jobsub_work$$_"date +%s°

should use the value of TMPDIR defaulting to /tmp.

#2 - 04/18/2019 04:11 PM - Jason Stock
Thanks. Using "TMPDIR=<TMP_TEST_DIR> fife_launch -c ....."” works great!

#3 - 04/18/2019 04:11 PM - Jason Stock
Fake 168181555621822.1 is pid 17001

Job output will be in /dune/app/users/jstock/20190411-ParticleInventoryArtSmartUpdate_
LarsimOnly/TMPTEST/fake_jobsub_work16818_1555621822

#4 - 08/23/2019 02:30 PM - Marc Mengel

- Status changed from New to Closed
